Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class HostCrashdump

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.HostCrashdump

    public class HostCrashdump

extends XenAPIObject

Represents a host crash dump

Nested Class Summary
`static class` | `HostCrashdump.Record` Represents all the fields in a HostCrashdump

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addToOtherConfig(Connection c, String key, String value)` Add the given key-value pair to the other_config field of the given host_crashdump.
`void` | `destroy(Connection c)` Destroy specified host crash dump, removing it from the disk.
`Task` | `destroyAsync(Connection c)` Destroy specified host crash dump, removing it from the disk.
`boolean` | `equals(Object obj)` If obj is a HostCrashdump, compares XenAPI references for equality.
`static Set<HostCrashdump>` | `getAll(Connection c)` Return a list of all the host_crashdumps known to the system.
`static Map<HostCrashdump,HostCrashdump.Record>` | `getAllRecords(Connection c)` Return a map of host_crashdump references to host_crashdump records for all host_crashdumps known to the system.
`static HostCrashdump` | `getByUuid(Connection c, String uuid)` Get a reference to the host_crashdump instance with the specified UUID.
`Host` | `getHost(Connection c)` Get the host field of the given host_crashdump.
`Map<String,String>` | `getOtherConfig(Connection c)` Get the other_config field of the given host_crashdump.
`HostCrashdump.Record` | `getRecord(Connection c)` Get a record containing the current state of the given host_crashdump.
`Long` | `getSize(Connection c)` Get the size field of the given host_crashdump.
`Date` | `getTimestamp(Connection c)` Get the timestamp field of the given host_crashdump.
`String` | `getUuid(Connection c)` Get the uuid field of the given host_crashdump.
`int` | `hashCode()`
`void` | `removeFromOtherConfig(Connection c, String key)` Remove the given key and its corresponding value from the other_config field of the given host_crashdump.
`void` | `setOtherConfig(Connection c, Map<String,String> otherConfig)` Set the other_config field of the given host_crashdump.
`String` | `toWireString()`
`void` | `upload(Connection c, String url, Map<String,String> options)` Upload the specified host crash dump to a specified URL
`Task` | `uploadAsync(Connection c, String url, Map<String,String> options)` Upload the specified host crash dump to a specified URL

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a HostCrashdump, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public HostCrashdump.Record getRecord(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given host_crashdump.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static HostCrashdump getByUuid(Connection c,
                                          String uuid)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Get a reference to the host_crashdump instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given host_crashdump.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getHost

    public Host getHost(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Get the host field of the given host_crashdump.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getTimestamp

    public Date getTimestamp(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the timestamp field of the given host_crashdump.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSize

    public Long getSize(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Get the size field of the given host_crashdump.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOtherConfig

    public Map<String,String> getOtherConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the other_config field of the given host_crashdump.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setOtherConfig

    public void setOtherConfig(Connection c,
                               Map<String,String> otherConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the other_config field of the given host_crashdump.

  Parameters:
    `otherConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToOtherConfig

    public void addToOtherConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the other_config field of the given host_crashdump.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromOtherConfig

    public void removeFromOtherConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the other_config field of the given host_crashdump. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroyAsync

    public Task destroyAsync(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Destroy specified host crash dump, removing it from the disk.

  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### destroy

    public void destroy(Connection c)
                 throws Types.BadServerResponse,
                        Types.XenAPIException,
                        org.apache.xmlrpc.XmlRpcException

  Destroy specified host crash dump, removing it from the disk.

  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### uploadAsync

    public Task uploadAsync(Connection c,
                            String url,
                            Map<String,String> options)
                     throws Types.BadServerResponse,
                            Types.XenAPIException,
                            org.apache.xmlrpc.XmlRpcException

  Upload the specified host crash dump to a specified URL

  Parameters:
    `url` - The URL to upload to
    `options` - Extra configuration operations
  Returns:
    Task
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### upload

    public void upload(Connection c,
                       String url,
                       Map<String,String> options)
                throws Types.BadServerResponse,
                       Types.XenAPIException,
                       org.apache.xmlrpc.XmlRpcException

  Upload the specified host crash dump to a specified URL

  Parameters:
    `url` - The URL to upload to
    `options` - Extra configuration operations
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<HostCrashdump> getAll(Connection c)
                                     throws Types.BadServerResponse,
                                            Types.XenAPIException,
                                            org.apache.xmlrpc.XmlRpcException

  Return a list of all the host_crashdumps known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<HostCrashdump,HostCrashdump.Record> getAllRecords(Connection c)
                                                                 throws Types.BadServerResponse,
                                                                        Types.XenAPIException,
                                                                        org.apache.xmlrpc.XmlRpcException

  Return a map of host_crashdump references to host_crashdump records for all host_crashdumps known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD